Skip to main content
GET
/
tracks
/
{track_id}
Get One Track
curl --request GET \
  --url https://api.swoogo.com/api/v1/tracks/{track_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "Unauthorized",
  "message": "Your request was made with invalid credentials.",
  "code": 0,
  "status": 401
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

track_id
integer
required

integer - required - The ID of the track you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,color,created_by,created_at,updated_at,updated_by"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Track